Skip to main content
`Ctrl`+`K`

# TSTrajectorySetFromOptions

Sets various `TSTrajectory` parameters from user options.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectorySetFromOptions(TSTrajectory tj, TS ts)

Collective

## Input Parameters

- tj - the `TSTrajectory` context obtained from `TSGetTrajectory()`

- ts - the `TS` context

## Options Database Keys

- -ts_trajectory_type <type> - basic, memory, singlefile, visualization

- -ts_trajectory_keep_files <true,false> - keep the files generated by the code after the program ends. This is true by default for singlefile and visualization

- -ts_trajectory_monitor - print `TSTrajectory` information

## Note

This is not normally called directly by users

## See Also

TS: Scalable ODE and DAE Solvers, `TSTrajectory`, `TSSetSaveTrajectory()`, `TSTrajectorySetUp()`

## Level

developer

## Location

src/ts/trajectory/interface/traj.c

## Implementations

TSTrajectorySetFromOptions_Basic() in src/ts/trajectory/impls/basic/trajbasic.c
TSTrajectorySetFromOptions_Memory() in src/ts/trajectory/impls/memory/trajmemory.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages